<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Distance Matrix Evaluation</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for dist.eval {BiodiversityR}"><tr><td>dist.eval {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Distance Matrix Evaluation</h2>


<h3>Description</h3>

<p>
Provides one test of a distance matrix, and continuous with <code><a href="../../vegan/html/distconnected.html">distconnected</a></code> (<STRONG>vegan</STRONG>).
</p>


<h3>Usage</h3>

<pre>
dist.eval(x,dist)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Community data frame with sites as rows, species as columns and species abundance as cell values. </td></tr>
<tr valign="top"><td><code>dist</code></td>
<td>
Method for calculating ecological distance with function <code><a href="../../vegan/html/vegdist.html">vegdist</a></code>: partial match to "manhattan", "euclidean", "canberra", "bray", "kulczynski", "jaccard", "gower", "morisita", "horn" or "mountford". </td></tr>
</table>

<h3>Details</h3>

<p>
This functions provides two tests of a distance matrix. 
</p>
<p>
The first test checks whether any pair of sites that share some species have a larger distance than any other pair of sites that do not share any species. In case that cases are found, then a warning message is given. 
</p>
<p>
The second test is the one implemented by the <code><a href="../../vegan/html/distconnected.html">distconnected</a></code> function (<STRONG>vegan</STRONG>). The  distconnected test is only calculated for distances that calculate a value of 1 if sites share no species (i.e. not manhattan or euclidean), using the threshold of 1 as an indication that the sites do not share any species. Interpretation of analysis of distance matrices that provided warnings should be cautious.
</p>


<h3>Value</h3>

<p>
The function tests whether distance matrices have some desirable properties and provide warnings if this is not the case.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune)
dist.eval(dune,"euclidean")
dist.eval(dune,"bray")
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
